
//
//  Copyright 2004 Renaud Sizaire
//
//  This file is part of keyFE2.
//
//  keyFE2 is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  keyFE2 is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with keyFE2; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//

#include <iomanip>
#include <string>
#include <stdio.h>

#include "util.h"

using namespace std ;
using namespace keyFlow ;

void keyFlow::separateProblemType(string problemType,string &globLoc,
			 string &outputFields,string &inputArrays) {
  
  int pos1,pos2;
  pos1=problemType.find(" - ");
  pos2=problemType.rfind(" - ");
  
  globLoc=problemType.substr(0,pos1);
  outputFields=problemType.substr(pos1+3,pos2-pos1-3);
  inputArrays=problemType.substr(pos2+3);
}
