
//
//  Copyright 2004 Renaud Sizaire
//
//  This file is part of keyFE2.
//
//  keyFE2 is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  keyFE2 is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with keyFE2; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//

#include <iostream>
#include <iomanip>
#include <typeinfo>

#include "newPoint.h"

using namespace std ;
using namespace keyFE2 ;



newPoint::newPoint(void) {
   newPointValue=true;
   accessNbr=0;
}



void newPoint::setNewPoint(bool b) {
   newPointValue=b;
}



bool newPoint::getNewPoint(void) const {
   return(newPointValue);
}



void newPoint::accessNbrInit(void) {
  accessNbr=0;
}



void newPoint::accessNbrInc(void) {
  accessNbr++;
}



int newPoint::getAccessNbr(void) const {
  return(accessNbr);
}
