
//
//  Copyright 2004 Renaud Sizaire
//
//  This file is part of keyFE2.
//
//  keyFE2 is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  keyFE2 is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with keyFE2; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//

  static bool firstHere=true;
  static Double **points=NULL;
  static Double *weights=NULL;
  static Int nbrpoints=0;
  if (firstHere) {
    Int i,j,index;
    Int nbrPoints1,nbrCoord1;
    Double **integPoints1,*integWeights1;
    
    getIntegPoints(segment,nbrPoints1,nbrCoord1,integPoints1,integWeights1);
    
    nbrpoints=nbrPoints1*nbrPoints1;
    weights=new Double[nbrpoints];
    static Double *tmp=new Double[nbrpoints*nbrCoord];
    points=new Double* [nbrpoints];
    for (i=0;i<nbrpoints;i++)
      points[i]=tmp+nbrCoord*i;
    
    index=0;
    for (i=0;i<nbrPoints1;i++) {
      for (j=0;j<nbrPoints1;j++) {
	weights[index]=integWeights1[i]*integWeights1[j];
	points[index][0]=integPoints1[i][0];
	points[index][1]=integPoints1[j][0];
	index++;
      }
    }
  }
  nbrPoints=nbrpoints;  
  integPoints=points;
  integWeights=weights;
  firstHere=false;
